# Uses of Enum
org.apache.sling.maven.bundlesupport.deploy.BundleDeploymentMethod

Packages that use BundleDeploymentMethod
Package
Description
org.apache.sling.maven.bundlesupport
org.apache.sling.maven.bundlesupport.deploy

## Uses of BundleDeploymentMethod in org.apache.sling.maven.bundlesupport

Fields in org.apache.sling.maven.bundlesupport declared as BundleDeploymentMethod
Modifier and Type
Field
Description
`protected BundleDeploymentMethod`
AbstractBundleInstallMojo.`deploymentMethod`
Bundle deployment method.
`protected BundleDeploymentMethod`
AbstractBundleInstallMojo.`deploymentMethod`
Bundle deployment method.
`protected BundleDeploymentMethod`
AbstractBundleInstallMojo.`deploymentMethod`
Bundle deployment method.

## Uses of BundleDeploymentMethod in org.apache.sling.maven.bundlesupport.deploy

Methods in org.apache.sling.maven.bundlesupport.deploy that return BundleDeploymentMethod
Modifier and Type
Method
Description
`static BundleDeploymentMethod`
BundleDeploymentMethod.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static BundleDeploymentMethod[]`
BundleDeploymentMethod.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.